javax.xml.crypto

## Class KeySelectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.crypto.KeySelectorException

All Implemented Interfaces:
  Serializable

    public class KeySelectorException
    extends Exception

Indicates an exceptional condition thrown by a `KeySelector`.

A `KeySelectorException` can contain a cause: another throwable that caused this `KeySelectorException` to get thrown.

Since:
  1.6
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`KeySelectorException()` Constructs a new `KeySelectorException` with `null` as its detail message.
`KeySelectorException(String message)` Constructs a new `KeySelectorException` with the specified detail message.
`KeySelectorException(String message, Throwable cause)` Constructs a new `KeySelectorException` with the specified detail message and cause.
`KeySelectorException(Throwable cause)` Constructs a new `KeySelectorException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

### Method Summary

Methods
`Throwable` `getCause()` Returns the cause of this `KeySelectorException` or `null` if the cause is nonexistent or unknown.
`void` `printStackTrace()` Prints this `KeySelectorException`, its backtrace and the cause's backtrace to the standard error stream.
`void` `printStackTrace(PrintStream s)` Prints this `KeySelectorException`, its backtrace and the cause's backtrace to the specified print stream.
`void` `printStackTrace(PrintWriter s)` Prints this `KeySelectorException`, its backtrace and the cause's backtrace to the specified print writer.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### KeySelectorException

    public KeySelectorException()

Constructs a new `KeySelectorException` with `null` as its detail message.

#### KeySelectorException

    public KeySelectorException(String message)

Constructs a new `KeySelectorException` with the specified detail message.

Parameters:
  `message` - the detail message

#### KeySelectorException

    public KeySelectorException(String message,
                        Throwable cause)

Constructs a new `KeySelectorException` with the specified detail message and cause.

Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

Parameters:
  `message` - the detail message
  `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

#### KeySelectorException

    public KeySelectorException(Throwable cause)

Constructs a new `KeySelectorException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### Method Detail

#### getCause

    public Throwable getCause()

Returns the cause of this `KeySelectorException` or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this `KeySelectorException` to get thrown.)

Overrides:
  `getCause` in class `Throwable`
Returns:
  the cause of this `KeySelectorException` or `null` if the cause is nonexistent or unknown.

#### printStackTrace

    public void printStackTrace()

Prints this `KeySelectorException`, its backtrace and the cause's backtrace to the standard error stream.

Overrides:
  `printStackTrace` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintStream s)

Prints this `KeySelectorException`, its backtrace and the cause's backtrace to the specified print stream.

Overrides:
  `printStackTrace` in class `Throwable`
Parameters:
  `s` - `PrintStream` to use for output

#### printStackTrace

    public void printStackTrace(PrintWriter s)

Prints this `KeySelectorException`, its backtrace and the cause's backtrace to the specified print writer.

Overrides:
  `printStackTrace` in class `Throwable`
Parameters:
  `s` - `PrintWriter` to use for output

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.